q
break main
run 23 19
p argv 
p argv[1] 
x /3bx argv[1] 
x /1wx argv[2] 
x /1dx argv[2] 
x /1dx argv[1] 
x /1gx argv[1] 
x /5bx argv[1] 
x /6bx argv[1] 
x /7bx argv[1] 
x /7bx argv 
x /7bx argv[0]
x /7bx argv[1]
x /3bx argv[1]
x /3bx argv[2]
x /x argv[2]
x /x argv[1]
x /dx argv[1]
x /d2x argv[1]
x /1dx argv[1]
x /wx argv[1]
x /2wx argv[1]
x /3wx argv[1]
x /3bx argv[1]
x /3bx argv[2]
x /6bx argv[1]
x /6dx argv[1]
x /6wx argv[1]
q
break main
run 123 456
x /8bx argv[1]
x /8cx argv[1]
x /8bc argv[1]
x /8bx argv[1]
x /8bd argv[1]
x /8bx argv[1]
x /1gx argv[1]
x /1wx argv[1]
x /1wx argv[2]
x /1bx argv[1]
x /4bx argv[1]
x /4bx argv[2]
x /1wx argv[1]
x /1wx argv[2]
p (int)argv[1]
p (int)*argv[1]
p (int)*(argv[1])
p *((int)argv[1])
p argv[1]
q
break main
run
q
b main
r
p a
n
p a
p b
x /1wx a
x /1wx &a
x /1wx b
q
b main
r
n
x /1wx &a
x /1wx b
x /1wx &c
x /1wx d
x /4bx b
q
break printf
r
q
break main
run
n 4
x /1wx &a
x /1wx b
x /1wx &c
x /1wx d
x /1w d
x /1wd d
x /1wd &a
x /1wd b
x /1wd &c
x /1wd d
q
break main
run
next 3
x /1wx &a
x /1wx b
x /1wx c
x /4bx &a
x /4bx b
x /4bx c
q
b _start
layout regs 
r
n
q
b _start
r
n
i registers rsi
x /1s &rsi
x /1s rsi
x /1s $rsi
x /1s num_str
x /1s &num_str
n
i registers rax
q
break _start 
rr
r
info registers rax rdx
info registers rax rdx rsi
n
info registers rax rdx rsi
x /1s &num_str 
x /1s &num 
x /1wx &num 
x /1wx &status 
k
r
n 2
info registers rax rdx rsi
x /1wx &num 
x /1wx &status 
n
info registers rax rdx rsi
x /1wx &num 
x /1wx &status 
n
x /1wx &status 
info registers rax rdx rsi
k
q
break _start 
run
n 2
info registers rax rdx rsi
x /1w &num_str 
x /1wx &num_str 
x /1s &num
x /1wx &num
x /1wx &status
n
info registers rax rdx rsi
x /1wx &num
x /1wx &status
n
k
r
n2
n 2
info registers rax rdx rsi
x /1wx &num
x /1wx &status
q
b _start
r
n 4
x /1wx &status
x /1wx &num
info registers rax rdx rsi
q
break _start 
run
n 2
info registers rax rdx rsi
x /1wx &num_str
x /1s &num_str
x /1wx &num_
x /1wx &num
x /1wx &status
n
n
info registers rax rdx rsi
x /1wx &num
x /1wx &status
print num
print &num
print (int)num
q
